java.lang

## Class UnsupportedOperationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - java.lang.UnsupportedOperationException

- All Implemented Interfaces:
    Serializable

      public class UnsupportedOperationException
      extends RuntimeException

  Thrown to indicate that the requested operation is not supported.

  This class is a member of the Java Collections Framework.

  Since:
    1.2
  Author:
    Josh Bloch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnsupportedOperationException()` Constructs an UnsupportedOperationException with no detail message.
    `UnsupportedOperationException(String message)` Constructs an UnsupportedOperationException with the specified detail message.
    `UnsupportedOperationException(String message, Throwable cause)` Constructs a new exception with the specified detail message and cause.
    `UnsupportedOperationException(Throwable cause)` Constructs a new exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnsupportedOperationException

          public UnsupportedOperationException()

      Constructs an UnsupportedOperationException with no detail message.

    - #### UnsupportedOperationException

          public UnsupportedOperationException(String message)

      Constructs an UnsupportedOperationException with the specified detail message.
      Parameters:
        `message` - the detail message

    - #### UnsupportedOperationException

          public UnsupportedOperationException(String message,
                                               Throwable cause)

      Constructs a new exception with the specified detail message and cause.

      Note that the detail message associated with `cause` is not automatically incorporated in this exception's detail message.

      Parameters:
        `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
      Since:
        1.5

    - #### UnsupportedOperationException

          public UnsupportedOperationException(Throwable cause)

      Constructs a new exception with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`). This constructor is useful for exceptions that are little more than wrappers for other throwables (for example, `PrivilegedActionException`).
      Parameters:
        `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
      Since:
        1.5

Copyright © 2025 API Design. All Rights Reserved.